# Class NodeEntityResolver

java.lang.Object
uk.ac.starlink.datanode.nodes.NodeEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class NodeEntityResolver extends Object implements EntityResolver
Provides specialised XML entity resolution for data nodes. As well as the local copies of some useful entities provided by the superclass `StarEntityResolver` any entity which is retrieved using a URL by this entity resolver is cached for future use for the case in which, for instance, multiple files in the same directory reference the same external entity. Done this way, you don't have to keep making network connections, you keep a copy of the items you retrieve. Obviously, there is a down side, you can fill up memory with things that you're not going to need again. Try it like this for now.

## Method Summary

Modifier and Type
Method
Description
`static NodeEntityResolver`
`getInstance()`
Returns the sole instance of this singleton class.
`InputSource`
`resolveEntity(String publicId, String systemId)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static NodeEntityResolver getInstance()
Returns the sole instance of this singleton class.

### resolveEntity

public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `SAXException`
  `IOException`